﻿@model MyApp.Web.ViewModels.UnregisteredCodesViewModel

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}

@Html.Partial("_NavSuperUser", MyApp.Web.Resources.EVAResource.engagementzones)

<h2>@MyApp.Web.Resources.EVAResource.unregidsteredcodes</h2>

@Html.ActionLink(@MyApp.Web.Resources.EVAResource.getunregisteredpdf, "DownloadUnregisteredPDF", new { zoneid = @Model.EncryptedZoneId }, new { @class = "btn btn-link", role = "button", })

@if (Model.CanAddMoreUnregistered)
{
    using (Html.BeginForm("GenerateUnregisteredCodes", "Zone", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()

        @Html.Partial("_Feedback", Model.Feedbackmessage ?? string.Empty);

        <p>@MyApp.Web.Resources.EVAResource.totunregrequested : @Model.TotalRequestedUnregisteredCodes/@Model.MaxRequestedUnregisteredCodes</p>

        <div class="well">

            <div class="form-group">
                @Html.LabelFor(x => x.Newlyrequested)
                @Html.TextBoxFor(m => m.Newlyrequested, new { MaxLength = "4" })
                @Html.ValidationMessageFor(m => m.Newlyrequested)
            </div>

            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                    @Html.SubmitButton(@MyApp.Web.Resources.EVAResource.save)
                    @Html.HiddenFor(m => m.EncryptedZoneId)
                    @Html.HiddenFor(m => m.MaxRequestedUnregisteredCodes)
                    @Html.HiddenFor(m => m.TotalRequestedUnregisteredCodes)
                    @Html.HiddenFor(m=>m.CanAddMoreUnregistered)
                </div>
            </div>

        </div>
    }
}



<script src="~/Scripts/op.copypaste.js" type="text/javascript"></script>
